package riciclaggio;

/* notare che la classe  abstract */
public abstract class Materiale {

	private static int codiceProgressivo=1;
	public static enum TipoMateriale{BIOLOGICO, SINTETICO, METALLO};

	protected int codice;
	protected String descrizione;
	protected double costoRicicloAlKg;
	
	public Materiale(){
		this("",0);
	}

	public Materiale(String descrizione, double costo){
		this.codice = codiceProgressivo++;
		this.descrizione = descrizione;
		this.costoRicicloAlKg = costo;
	}
	
	public int getCodice(){
		return codice;
	}
	
	public double getCostoRicicloAlKg(){
		return costoRicicloAlKg;
	}
	
	/* metodi non necessari all'esecuzione del programma 
	 
	public String getDescrizione(){
		return descrizione;
	}
	
	public void setDescrizione(String descrizione){
		this.descrizione = descrizione;
	}
	
	public void setCostoRicicloAlKg(double costo){
		this.costoRicicloAlKg = costo;
	}
	
	*/
	
	public String toString(){
		String s = "";
		s += "Codice: "+codice+"\n";
		s += "Descrizione: "+descrizione+"\n";
		s += "Costo di riciclo: "+costoRicicloAlKg+"\n";
		return s;
	}
	
}
